﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Maps.MapControl;

namespace SimpleMap.Views
{
    public partial class MapShapePolygon : Page
    {
        MapLayer layerPin = new MapLayer();

        public MapShapePolygon()
        {
            InitializeComponent();

            this.map.Loaded += new RoutedEventHandler(map_Loaded);
        }

        void map_Loaded(object sender, RoutedEventArgs e)
        {
            //Pushpin pin = new Pushpin();
            //pin.Tag = "Information";
            //ToolTipService.SetToolTip(pin, pin.Tag.ToString());

            LocationCollection points = new LocationCollection();
            points.Add(new Location(50, 3));
            points.Add(new Location(50, 5));
            points.Add(new Location(55, 5));
            points.Add(new Location(55, 3));
            points.Add(new Location(50, 3));

            MapPolygon shape = new MapPolygon();
            shape.Locations = points;
            shape.StrokeThickness = 2;
            shape.Stroke = new SolidColorBrush(Colors.Cyan);
            shape.Fill = new SolidColorBrush(Colors.Red);

            this.map.Children.Add(shape);
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
}