﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Maps.MapControl;

namespace SimpleMap.Views
{
    public partial class MapShapePushpin : Page
    {
        MapLayer layerPin = new MapLayer();

        public MapShapePushpin()
        {
            InitializeComponent();

            this.map.Loaded += new RoutedEventHandler(map_Loaded);
        }

        void map_Loaded(object sender, RoutedEventArgs e)
        {
            Pushpin pin = new Pushpin();
            pin.Tag = "Information";
            ToolTipService.SetToolTip(pin, pin.Tag.ToString());


            this.layerPin.AddChild(pin, new Location(50, 3));
            this.map.Children.Add(this.layerPin);
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
}