﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MapShapes.aspx.cs" Inherits="WebAjaxSamples.MapShapes" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <script type="text/javascript" src="http://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6.2"></script>
    <script type="text/javascript">
        var map = null;

        function loadMap() {
            map = new VEMap("map");
            map.LoadMap(new VELatLong(50, 3), 3, "h");


            // Pushpin
            var shape = new VEShape(VEShapeType.Pushpin, new VELatLong(50, 3));
            shape.SetTitle("Wygday");
            shape.SetDescription("Evenement des Microsofts Days");

            map.AddShape(shape);


            // Polygon
            var locs = new Array();
            locs.push(new VELatLong(50, 3));
            locs.push(new VELatLong(52, 3));
            locs.push(new VELatLong(52, 5));
            locs.push(new VELatLong(50, 5));
            locs.push(new VELatLong(50, 3));
            var shapePolygon = new VEShape(VEShapeType.Polygon, locs);
            shapePolygon.SetLineColor(new VEColor(0, 0, 100, 1.0));
            shapePolygon.SetFillColor(new VEColor(0, 150, 100, 0.5));
            shapePolygon.HideIcon();
            map.AddShape(shapePolygon);


        }
    </script>
</head>
<body onload="loadMap();">
    <form id="form1" runat="server">
        <div id="map" style="position:relative; width:400px; height:400px;"></div>
    </form>
</body>
</html>