﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SLSimpleMap.UserControls
{
	public partial class ModalUC : UserControl
    {
        public ModalUC()
        {
            // Required to initialize variables
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(ModalUC_Loaded);
        }

        public String TitleModal
        {
            set { this.modalTitle.Text = value; }
        }

        public UIElement ContentModal {
            set { this.modalContent.Content = value; }
        }

        void ModalUC_Loaded(object sender, RoutedEventArgs e)
        {
            this.ModalBackground.MouseLeftButtonDown += (s1, e1) => 
            { 
                CloseModal();
            };
            this.modalClose.MouseLeftButtonDown += (s1, e1) => 
            { 
                CloseModal();
            };
        }

        public void OpenModal() {
            Storyboard sb = this.Resources["OpeningModal"] as Storyboard;
            sb.Begin();
        }

        public void CloseModal()
        {
            Storyboard sb = this.Resources["ClosingModal"] as Storyboard;
            sb.Begin();
        }
	}
}