﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SLSimpleMap.UserControls
{
	public partial class WebBrowserUC : UserControl
	{
		public WebBrowserUC()
		{
			// Required to initialize variables
			InitializeComponent();
            this.Loaded += new RoutedEventHandler(UserControl_Loaded);
		}

        void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            RefreshAddress();
            this.wbNavigate.Click += (s1, e1) =>
            {
                NavigateTo(this.wbAdress.Text);
            };
            this.browser.LoadCompleted += (s1, e1) =>
            {
                RefreshAddress();
            };
        }

        void NavigateTo(String address)
        {
            this.browser.Source = new Uri(address);
        }

        void RefreshAddress()
        {
            this.wbAdress.Text = this.browser.Source.AbsoluteUri;
        }
	}
}