﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Maps.MapControl.ExtendedModes;

namespace SimpleMap.Views
{
    public partial class MapExtendedMode : Page
    {
        public MapExtendedMode()
        {
            InitializeComponent();

            this.map.Loaded += new RoutedEventHandler(map_Loaded);
        }

        void map_Loaded(object sender, RoutedEventArgs e)
        {
            //Add Bird's Eye to Navigation
            BirdseyeMode.AddModeToNavigationBar(this.map);

            //Add Streetside to Navigation
            StreetsideMode.AddModeToNavigationBar(this.map);
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
}